--- /tmp/csv/asterisk/apps/app_queue.c	2004-02-04 19:42:18.000000000 +0000
+++ /usr/src/asterisk/apps/app_queue.c	2004-02-10 11:38:54.000000000 +0000
@@ -990,8 +990,15 @@
 					res = 0 ;
 				}
 				else
+				{
 					ast_log(LOG_WARNING, "Unable to remove interface '%s' from queue '%s': "
 						"Not there\n", interface, queuename);
+	                                if (ast_exists_extension(chan, chan->context, chan->exten, chan->priority + 101, chan->callerid))
+						{
+						chan->priority += 100;
+						res = 0 ;
+						}
+				}
 			}
 
 			ast_mutex_unlock(&q->lock);
@@ -1070,8 +1077,15 @@
 					res = 0 ;
 				}
 				else
+				{
 					ast_log(LOG_WARNING, "Unable to add interface '%s' to queue '%s': "
 						"Already there\n", interface, queuename);
+			                if (ast_exists_extension(chan, chan->context, chan->exten, chan->priority + 101, chan->callerid))
+                                        {
+                                                chan->priority += 100;
+                                                res = 0 ;
+                                        }
+				}
 			}
 
 			ast_mutex_unlock(&q->lock);
